此内容没有您所选择的语言版本。
9.3. List Members of an Application
Description
Get a list of members that belong to the specified application.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/application/:id/members |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/application/521bf818656c67309c000001/members --user user@example.com:password
JSON Response
The API returns a list of all members belonging to the specified application.
{
"api_version": 1.6,
"data": [
{
"explicit_role": null,
"from": [
{
"type": "domain",
"role": "admin"
}
],
"id": "521bf803656c674541000001",
"name": "user@example.com",
"owner": true,
"role": "admin",
"type": "user"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"severity": "info",
"text": "Found 1 member."
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "memberS",
"version": "1.6"
}